import java.util.*;
import java.awt.*;
import javax.swing.*;

public class GraphicDie extends JPanel { //trningsklass
   private static Random dieRandom  = new Random();
   private int dots = 0;             //vrdet p trningen
   public GraphicDie() {
      setBackground(new Color(0,130,0));
      setPreferredSize(new Dimension(15,15));
   } //constructor

   public void paintComponent(Graphics g) {
      super.paintComponent(g);
      g.setColor(Color.white);
      int radie = 10;
	int w = getWidth()/2;
	int h = getHeight()/2;
      g.fillRoundRect(w-30,h-30,60,60, radie, radie);
      g.setColor(Color.black);
      g.drawRoundRect(w-30,h-30,60,60, radie, radie);
      if (dots == 1)
         g.fillOval(w-5,h-5,radie,radie);
      else if (dots == 2) {
         g.fillOval(w-20,h+10,radie,radie);
         g.fillOval(w+10,h-20,radie,radie);
      }
      else if (dots == 3) {
         g.fillOval(w-5,h-5,radie,radie);
         g.fillOval(w-20,h-20,radie,radie);
         g.fillOval(w+10,h+10,radie,radie);
      }

      else if (dots == 4) {
         g.fillOval(w-20,h-20,radie,radie);
         g.fillOval(w-20,h+10,radie,radie);
         g.fillOval(w+10,h-20,radie,radie);
         g.fillOval(w+10,h+10,radie,radie);
      }

      else if (dots == 5) {
         g.fillOval(w-5,h-5,radie,radie);
         g.fillOval(w-20,h-20,radie,radie);
         g.fillOval(w-20,h+10,radie,radie);
         g.fillOval(w+10,h-20,radie,radie);
         g.fillOval(w+10,h+10,radie,radie);
      }

      else if (dots == 6) {
         g.fillOval(w-20,h-20,radie,radie);
         g.fillOval(w-20,h-5,radie,radie);
         g.fillOval(w-20,h+10,radie,radie);
         g.fillOval(w+10,h-5,radie,radie);
         g.fillOval(w+10,h-20,radie,radie);
         g.fillOval(w+10,h+10,radie,radie);
      }
   } //paintComponent

  public void setEmpty() {     //nollstller trningen
      this.dots = 0;
   } //clearDots

   public int getValue() { //returnerar vrdet p trningen
      return this.dots;
   } // getDots

   public void roll() { //kastar trningen
      dots = dieRandom.nextInt(6) + 1;
   } //roll

} //GraphicDie



                                                                           



